CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

            calibre-server [opcje] [ścieżka do folderu biblioteki...]

Uruchom serwer treści calibre. Serwer zawartości calibre ujawnia Twoje Biblioteki calibre przez Internet. Możesz określić ścieżkę do biblioteki foldery jako argumenty do calibre-server. Jeśli nie określisz żadnych ścieżek, wszystkie zostaną użyte biblioteki, o których wie główny program calibre.

Ilekroć przekazujesz argumenty do calibre-server, które zawierają spacje, ujmuj je w cudzysłowy. Na przykład: "/some path/with spaces"

[OPCJE]

    --access-log
        Ścieżka do pliku dziennika dostępu. Ten dziennik zawiera informacje o klientach łączących się z serwerem i wysyłających żądania. Domyślnie rejestrowanie dostępu nie jest wykonywane.

    --ajax-timeout
        Czas (w sekundach) oczekiwania na odpowiedź z serwera podczas wykonywania zapytań.

    --auth-mode
        Wybierz rodzaj używanego uwierzytelnienia. Ustaw tryb uwierzytelniania HTTP używany przez serwer. Ustaw jako „podstawowy”, jeśli umieszczasz ten serwer za proxy SSL. W przeciwnym razie pozostaw to jako „auto”, co spowoduje użycie „podstawowego”, jeśli skonfigurowano SSL, w przeciwnym razie użyje „podsumowania”.

    --auto-reload
        Automatycznie przeładuj serwer, gdy zmieni się kod źródłowy. Przydatny do rozwoju. Należy również podać niewielką wartość limitu czasu wyłączenia.

    --ban-after
        Liczba nieudanych logowań powodująca blokadę. Liczba nieudanych logowań, po których adres IP jest blokowany

    --ban-for
        Blokuj adresy IP, z których dokonano wielokrotnych nieudanych logowań. Tymczasowo blokuje dostęp dla adresów IP, z których dokonano wielokrotnych nieudanych logowań przez określoną liczbę minut. Opcja przydatna, aby zablokować próby odgadnięcia haseł. Jeśli ustawiona jest na zero, blokada nie będzie działała.

    --book-list-mode
        Wybierz domyślny tryb wyświetlania książek. Ustaw domyślny tryb listy książek, który będzie używany dla nowych użytkowników. Poszczególni użytkownicy mogą zastąpić ustawienia domyślne we własnych ustawieniach. Domyślnie jest używana siatka okładki.

    --compress-min-size
        Minimalny rozmiar, dla którego odpowiedzi wykorzystują kompresję danych (w bajtach).

    --custom-list-template
        Ścieżka do pliku JSON, zawierającego szablon dla własnego wyglądu listy książek. Najłatwiejszym sposobem na utworzenie takiego pliku szablonu jest przejście do Ustawienia-> Współdzielenie poprzez sieć-> Szablon listy książek w calibre, utworzenie szablonu i wyeksportowanie go..

    --daemonize
        Uruchom proces w tle jako daemon (tylko Linux).

    --displayed-fields
        Ogranicz wyświetlane pól zdefiniowanych przez użytkownika. Oddzielone przecinkami lista zdefiniowanych przez użytkownika pól metadanych, które będą wyświetlane przez serwer zawartości w widokach /opds i /mobile. Jeśli określisz tę opcję, żadne pola, których nie ma na tej liście, nie będą wyświetlane. Na przykład: my_rating,my_tags

    --enable-allow-socket-preallocation, --disable-allow-socket-preallocation
        Wstępna alokacja gniazda, na przykład z aktywacją gniazda systemowego. Domyślnie ta opcja jest włączona.

    --enable-auth, --disable-auth
        Uwierzytelnianie na podstawie hasła w celu uzyskania dostępu do serwera. Domyślnie serwer daje każdemu nieograniczony dostęp. Za pomocą tej opcji można ograniczyć dostęp tylko do wstępnie zdefiniowanych użytkowników. Domyślnie ta opcja jest wyłączona.

    --enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
        Powrót do automatycznie wykrywanego interfejsu. Jeśli z jakiegoś powodu serwer nie może połączyć się z interfejsem określonym w opcji Listen_on, spróbuje wykryć interfejs, który łączy się ze światem zewnętrznym i połączyć się z nim. Domyślnie ta opcja jest włączona.

    --enable-local-write, --disable-local-write
        Zezwalaj nieuwierzytelnionym połączeniom lokalnym na wprowadzanie zmian. Zwykle, jeśli nie włączysz uwierzytelniania, serwer działa w trybie tylko do odczytu, aby anonimowi użytkownicy nie mogli wprowadzać zmian w bibliotekach calibre. Ta opcja umożliwia każdemu łączącemu się z tego samego komputera, na którym działa serwer, wprowadzanie zmian. Jest to przydatne, jeśli chcesz uruchomić serwer bez uwierzytelniania, ale nadal używać programu calibredb do wprowadzania zmian w bibliotekach calibre. Pamiętaj, że włączenie tej opcji oznacza, że każdy program uruchomiony na komputerze może wprowadzać zmiany w bibliotekach calibre. Domyślnie ta opcja jest wyłączona.

    --enable-log-not-found, --disable-log-not-found
        Zapisuj do dziennika żądania HTTP 404 (Nie znaleziono). Domyślnie serwer zapisuje do dziennika wszystkie żądania HTTP do zasobów, które nie zostały znalezione. Może to powodować generowanie wielu śmieciowych wpisów do dziennika, zwłaszcza jeśli twój serwer stanie się celem botów. Użyj tej opcji, aby wyłączyć zapis tych żądań do dziennika. Domyślnie ta opcja jest włączona.

    --enable-use-bonjour, --disable-use-bonjour
        Reklamuj kanały OPDS przez BonJour. Reklamuj kanały OPDS za pośrednictwem usługi BonJour, aby aplikacje czytające oparte na OPDS mogły automatycznie wykrywać i łączyć się z serwerem. Domyślnie ta opcja jest włączona.

    --enable-use-sendfile, --disable-use-sendfile
        Przesyłanie plików bez kopiowania w celu zwiększenia wydajności. Spowoduje to użycie transferów w jądrze bez kopiowania podczas wysyłania plików przez sieć, zwiększając wydajność. Jednak może to spowodować uszkodzone transfery plików w niektórych uszkodzonych systemach plików. Jeśli zauważysz uszkodzone transfery plików, wyłącz je. Domyślnie ta opcja jest włączona.

    --help, -h
        wyświetla ten tekst pomocy i kończy działanie

    --ignored-fields
        Ignorowane pola metadanych. Oddzielona przecinkami lista zdefiniowanych przez użytkownika pól metadanych, które nie będą wyświetlane przez serwer zawartości w widokach /opds i /mobile. Na przykład: my_rating,my_tags

    --listen-on
        Interfejs, na którym będziemy nasłuchiwać połączeń. Domyślnym ustawieniem jest nasłuchiwanie na wszystkich dostępnych interfejsach IPv6 i IPv4. Można to zmienić na przykład na "127.0.0.1", aby nasłuchiwać tylko połączeń IPv4 z komputera lokalnego, lub na "0.0.0.0", aby nasłuchiwać wszystkich przychodzących połączeń IPv4.

    --log
        Ścieżka do pliku dziennika dla dziennika serwera. Ten dziennik zawiera informacje o serwerze i błędy, a nie dzienniki dostępu. Domyślnie jest zapisywany na standardowe wyjście.

    --manage-users
        Zarządzaj bazą danych użytkowników uprawnionych do łączenia się z tym serwerem. Możesz go używać w trybie automatycznym, dodając --. Zobacz calibre-server --manage-users -- help, aby uzyskać szczegółowe informacje. Zobacz także opcję --userdb.

    --max-header-line-size
        Max. rozmiar pojedynczego nagłówka HTTP (w KB).

    --max-job-time
        Maksymalny czas na procesy robocze. Maksymalny czas działania procesów roboczych (w minutach). Ustaw na zero bez ograniczeń.

    --max-jobs
        Maksymalna liczba procesów roboczych. Procesy robocze są uruchamiane w razie potrzeby i wykorzystywane do dużych zadań, takich jak przygotowywanie książki do przeglądania, dodawanie książek, konwersja itp. Zwykle maks. liczba takich procesów zależy od liczby rdzeni procesora. Możesz kontrolować to za pomocą tego ustawienia.

    --max-log-size
        Maks. rozmiar pliku dziennika (w MB). Maksymalny rozmiar plików dziennika generowanych przez serwer. Kiedy dziennik staje się większy niż ten rozmiar, jest automatycznie obracany. Ustaw na zero, aby wyłączyć rotację dziennika.

    --max-opds-items
        Maksymalna liczba książek w kanałach OPDS. Maksymalna liczba książek, które serwer zwróci w pojedynczym kanale pobierania OPDS.

    --max-opds-ungrouped-items
        Maksymalna liczba niepogrupowanych elementów w kanałach OPDS. Grupuj elementy w kategorie takie jak autor/etykiety po pierwszej literze gdy zaistnieje więcej niż podana liczba elementów. Ustaw na zero aby wyłączyć.

    --max-request-body-size
        Max. dozwolony rozmiar plików przesłanych na serwer (w MB).

    --num-per-page
        Liczba książek wyświetlanych na pojedynczej stronie. Liczba książek wyświetlanych na pojedynczej stronie w przeglądarce.

    --pidfile
        Zapisz identyfikator procesu do określonego pliku

    --port
        Port, na którym będziemy nasłuchiwać połączeń.

    --search-the-net-urls
        Ścieżka do pliku JSON zawierającego adresy URL funkcji „Szukaj w internecie”. Najłatwiejszym sposobem utworzenia takiego pliku jest przejście do Preferencje-> Udostępnianie przez sieć-> Przeszukaj internet w calibre, utwórz adresy URL i wyeksportuj je.

    --shutdown-timeout
        Całkowity czas w sekundach oczekiwania na pełne wyłączenie.

    --ssl-certfile
        Ścieżka do pliku z certyfikatem SSL.

    --ssl-keyfile
        Ścieżka do pliku z kluczem prywatnym SSL.

    --timeout
        Czas (w sekundach), po którym bezczynne połączenie zostanie zamknięte.

    --trusted-ips
        Zezwalaj na nieuwierzytelnione połączenia z określonych adresów IP, aby wprowadzać zmiany. Zwykle, jeśli nie włączysz uwierzytelniania, serwer działa w trybie tylko do odczytu, aby anonimowi użytkownicy nie mogli wprowadzać zmian w bibliotekach calibre. Ta opcja umożliwia każdemu łączącemu się z określonych adresów IP wprowadzanie zmian. Musi to być lista adresów lub specyfikacji sieci oddzielonych przecinkami. Jest to przydatne, jeśli chcesz uruchomić serwer bez uwierzytelniania, ale nadal używać programu calibredb do wprowadzania zmian w bibliotekach calibre. Zwróć uwagę, że włączenie tej opcji oznacza, że każdy łączący się z określonych adresów IP może wprowadzać zmiany w bibliotekach calibre.

    --url-prefix
        Prefiks poprzedzający wszystkie adresy URL. Przydatne, jeśli chcesz uruchomić ten serwer za zwrotnym proxy. Na przykład użyj /calibre jako prefiksu adresu URL.

    --userdb
        Ścieżka do bazy danych użytkowników, która ma być używana do uwierzytelniania. Baza danych to plik SQLite. Aby go utworzyć, użyj --manage-users. Więcej informacji na temat zarządzania użytkownikami można znaleźć pod adresem: <https://manual.calibre-ebook.com/pl/server.html#managing-user-accounts-from-the-command-line-only>

    --version
        wyświetla wersję programu i kończy działanie

    --worker-count
        Liczba wątków roboczych używanych do przetwarzania żądań.

Author
Kovid Goyal

Copyright
Kovid Goyal